# $Revision: 1.32 $, $Date: 2012/03/09 17:16:30 $
#
# Conditional build:
%bcond_with	hal	# HAL support
#
Summary:	VMMouse protocol for VMware virtual machines
Summary(pl.UTF-8):	Sterownik protokołu VMMouse dla maszyn wirtualnych VMware
Name:		xorg-driver-input-vmmouse
Version:	12.8.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.bz2
# Source0-md5:	15fce165117706cd5e774a8aa58122ce
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.6.0
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.6.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

%description -l pl.UTF-8
Sterownik VMMouse dodaje obsługę specjalnego protokołu VMMouse
udostępnianego przez maszyny wirtualne VMware do przekazywania
bezwzględnego położenia wskaźnika.

%prep
%setup -q -n xf86-input-vmmouse-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/vmmouse_detect
%attr(755,root,root) %{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_datadir}/X11/xorg.conf.d/50-vmmouse.conf
/lib/udev/rules.d/69-xorg-vmmouse.rules
%if %{with hal}
%attr(755,root,root) %{_libdir}/hal/hal-probe-vmmouse
%{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%endif
%{_mandir}/man1/vmmouse_detect.1*
%{_mandir}/man4/vmmouse.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-vmmouse.spec,v $
Revision 1.32  2012/03/09 17:16:30  qboosh
- updated to 12.8.0

Revision 1.31  2012/03/05 06:25:37  arekm
- release 4

Revision 1.30  2011/08/27 09:01:01  arekm
- release 3

Revision 1.29  2011/07/28 10:42:13  baggins
- rel 2
- drop hal support (obsolete, use udev)

Revision 1.28  2011/03/02 17:54:21  qboosh
- updated to 12.7.0

Revision 1.27  2011/02/27 08:41:05  arekm
- up to 12.6.99.901

Revision 1.26  2011/02/27 08:32:03  arekm
- release 2

Revision 1.25  2010/08/29 07:45:11  qboosh
- updated to 12.6.10

Revision 1.24  2010/08/21 07:28:17  arekm
- release 4

Revision 1.23  2010/04/02 08:29:36  arekm
- release 3

Revision 1.22  2009/10/02 08:27:20  arekm
- release 2

Revision 1.21  2009/08/13 19:50:57  arekm
- up to 12.6.5

Revision 1.20  2009/06/17 12:51:50  amateja
- updated to 12.6.4

Revision 1.19  2009/02/25 21:50:27  arekm
- up to 12.6.3

Revision 1.18  2009/02/25 21:15:41  arekm
- release 2

Revision 1.17  2008/11/14 19:11:08  arekm
- up to 12.6.2

Revision 1.16  2008/10/24 07:16:40  arekm
- up to 12.6.1

Revision 1.15  2008/10/24 06:25:26  arekm
- up to 12.6.0

Revision 1.14  2008/10/18 07:59:42  arekm
- up to 12.5.2

Revision 1.13  2008/07/01 16:06:17  arekm
- release 2

Revision 1.12  2008-05-26 19:46:33  qboosh
- updated to 12.5.1

Revision 1.11  2008-05-10 08:32:33  qboosh
- updated to 12.5.0

Revision 1.10  2007-10-03 17:34:23  arekm
- up to 12.4.3

Revision 1.9  2007/09/11 16:56:29  qboosh
- updated to 12.4.2

Revision 1.8  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.7  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.6  2007/02/28 09:16:21  arekm
- up to 12.4.1

Revision 1.5  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.3  2006/04/10 14:33:14  qboosh
- updated to 12.4.0, fixed build, EA: x86*

Revision 1.2  2006/04/02 09:07:50  qboosh
- pl

Revision 1.1  2006/03/29 07:57:30  arekm
- new, not tested
